Ubuntu

Activity log for bug #987337

Date Who What changed Old value New value Message
2012-04-23 14:40:03 Tim Gardner bug added bug
2012-04-23 14:40:06 Tim Gardner tags kernel-stable-tracking-bug
2012-04-23 14:40:08 Tim Gardner bug added subscriber SRU Verification
2012-04-23 14:40:10 Tim Gardner bug added subscriber Ubuntu Stable Release Updates Team
2012-04-23 14:40:15 Tim Gardner nominated for series Ubuntu Precise
2012-04-23 14:40:16 Tim Gardner bug task added linux (Ubuntu Precise)
2012-04-23 15:01:34 Tim Gardner description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch. The 3.2.16 upstream stable patch set is now available. It should be included in the Ubuntu kernel as well. git://git.kernel.org/ TEST CASE: TBD The following patches are in the 3.2.16 stable release: SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from Linus' tree or in a minimally        backported form of that patch. The 3.2.16 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://git.kernel.org/     TEST CASE: TBD        The following patches are in the 3.2.16 stable release: HID: multitouch: merge quanta driver into hid-multitouch HID: usbhid: add quirk no_get for quanta 3008 devices UBUNTU: [Config] powerpc-smp: build in ATI and RADEON frame buffer drivers drm/radeon/kms: fix DVO setup on some r4xx chips drm/i915/ringbuffer: Exclude last 2 cachlines of ring on 845g drm/radeon: only add the mm i2c bus if the hw_i2c module param is set drm/i915: properly compute dp dithering for user-created modes drm/i915: make rc6 module parameter read-only rtlwifi: Add missing DMA buffer unmapping for PCI drivers ARM: 7379/1: DT: fix atags_to_fdt() second call site ARM: 7384/1: ThumbEE: Disable userspace TEEHBR access for !CONFIG_ARM_THUMBEE md/bitmap: prevent bitmap_daemon_work running while initialising bitmap Bluetooth: uart-ldisc: Fix memory leak Bluetooth: hci_ldisc: fix NULL-pointer dereference on tty_close ext4: address scalability issue by removing extent cache statistics ia64: fix futex_atomic_cmpxchg_inatomic() drivers/rtc/rtc-pl031.c: enable clock on all ST variants hugetlb: fix race condition in hugetlb_fault() staging: iio: hmc5843: Fix crash in probe function. tty: serial: altera_uart: Check for NULL platform_data in probe. sparc64: Eliminate obsolete __handle_softirq() function sparc64: Fix bootup crash on sun4v. cciss: Initialize scsi host max_sectors for tape drive support cciss: Fix scsi tape io with more than 255 scatter gather elements perf hists: Catch and handle out-of-date hist entry maps. video:uvesafb: Fix oops that uvesafb try to execute NX-protected page nohz: Fix stale jiffies update in tick_nohz_restart() pch_uart: Fix MSI setting issue USB: serial: fix race between probe and open USB: pl2303: fix DTR/RTS being raised on baud rate change USB: option: re-add NOVATELWIRELESS_PRODUCT_HSPA_HIGHSPEED to option_id array USB: ftdi_sio: fix status line change handling for TIOCMIWAIT and TIOCGICOUNT USB: ftdi_sio: fix race condition in TIOCMIWAIT, and abort of TIOCMIWAIT when the device is removed USB: sierra: add support for Sierra Wireless MC7710 USB: don't clear urb->dev in scatter-gather library USB: don't ignore suspend errors for root hubs xhci: don't re-enable IE constantly xhci: Don't write zeroed pointers to xHC registers. xhci: Restore event ring dequeue pointer on resume. USB: fix bug of device descriptor got from superspeed device xHCI: add XHCI_RESET_ON_RESUME quirk for VIA xHCI host xHCI: Correct the #define XHCI_LEGACY_DISABLE_SMI fix tlb flushing for page table pages serial: PL011: clear pending interrupts serial: PL011: move interrupt clearing fcaps: clear the same personality flags as suid when fcaps are used ath9k: fix max noise floor threshold xhci: Fix register save/restore order. Bluetooth: hci_core: fix NULL-pointer dereference at unregister pch_gpio: Support new device LAPIS Semiconductor ML7831 IOH gpio: Add missing spin_lock_init in gpio-pch driver usb: gadget: pch_udc: Fix disconnect issue usb: gadget: pch_udc: Fix wrong return value usb: gadget: pch_udc: Fix USB suspend issue usb: gadget: pch_udc: Fix usb/gadget/pch_udc: Fix ether gadget connect/disconnect issue usb: gadget: pch_udc: Reduce redundant interrupt ACPICA: Fix to allow region arguments to reference other scopes security: fix compile error in commoncap.c pch_gbe: Do not abort probe on bad MAC pch_gbe: memory corruption calling pch_gbe_validate_option() pch_dma: Support new device LAPIS Semiconductor ML7831 IOH spi-topcliff-pch: fix -Wuninitialized warning spi-topcliff-pch: Support new device LAPIS Semiconductor ML7831 IOH Bluetooth: Add Atheros maryann PIDVID support futex: Do not leak robust list to unprivileged process drm/radeon/kms: fix the regression of DVI connector check drm/radeon: disable MSI on RV515 drm/radeon: fix load detect on rn50 with hardcoded EDIDs. Linux 3.2.16
2012-04-23 15:16:21 Tim Gardner linux (Ubuntu Precise): status New Fix Committed
2012-05-08 01:11:36 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/linux-ti-omap4
2012-05-21 14:49:09 Launchpad Janitor linux (Ubuntu Precise): status Fix Committed Fix Released
2012-05-21 14:49:09 Launchpad Janitor cve linked 2012-1601
2012-05-21 23:04:42 Julian Wiedmann linux (Ubuntu): status Fix Committed Invalid
2012-06-08 18:38:21 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/linux-armadaxp
2012-11-14 20:54:50 Adam Conrad removed subscriber Ubuntu Stable Release Updates Team
2012-11-14 21:30:44 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/linux-lowlatency